const { box, sel, expr } = require("reactive-box");

const [getCounter, setCounter] = box(0);
const [getNext] = sel(() => getCounter() + 1);

const increment = () => setCounter(getCounter() + 1);

const [run] = expr(() => {
  console.log(`Counter: ${getCounter()} (next value: ${getNext()})`)
});

run();
increment();;
